Index: src/clientbase.h
===================================================================
--- src/clientbase.h	(.../0.8.2-sic)	(revision 1447)
+++ src/clientbase.h	(.../0.8.3-sic)	(revision 1447)
@@ -231,6 +231,11 @@
       int fileDescriptor();
 
       /**
+       * Sends a whitespace ping to the server.
+       */
+      void ping();
+
+      /**
        * Registers @c cl as object that receives connection notifications.
        * @param cl The object to receive connection notifications.
        */
@@ -334,7 +339,7 @@
        * @param xmlns The namespace qualifying the element.
        */
       void removeTagHandler( TagHandler *th, const std::string& tag,
-                                              const std::string& xmlns );
+                                             const std::string& xmlns );
 
       /**
        * Use this function to set a number of trusted root CA certificates which shall be
Index: src/vcard.cpp
===================================================================
--- src/vcard.cpp	(.../0.8.2-sic)	(revision 1447)
+++ src/vcard.cpp	(.../0.8.3-sic)	(revision 1447)
@@ -323,7 +323,7 @@
 
   Tag* VCard::tag() const
   {
-    Tag *v = new Tag( "vcard" );
+    Tag *v = new Tag( "vCard" );
     v->addAttribute( "xmlns", XMLNS_VCARD_TEMP );
     v->addAttribute( "version", "3.0" );
 

Index: src/clientbase.cpp
===================================================================
--- src/clientbase.cpp	(.../0.8.2-sic)	(revision 1447)
+++ src/clientbase.cpp	(.../0.8.3-sic)	(revision 1447)
@@ -397,6 +397,11 @@
       return StateDisconnected;
   }
 
+  void ClientBase::ping()
+  {
+    send( " " );
+  }
+
   const std::string ClientBase::getID()
   {
     std::ostringstream oss;
Index: src/gloox.h
===================================================================
--- src/gloox.h	(.../0.8.2-sic)	(revision 1447)
+++ src/gloox.h	(.../0.8.3-sic)	(revision 1447)
@@ -338,7 +338,7 @@
 
   const int XMPP_STREAM_VERSION_MAJOR       = 1;
   const int XMPP_STREAM_VERSION_MINOR       = 0;
-  const std::string GLOOX_VERSION           = "0.8.2-sic";
+  const std::string GLOOX_VERSION           = "0.8.3-sic";
 
   /**
    * This describes the possible states of a stream.

Index: ChangeLog
===================================================================
--- ChangeLog	(.../0.8.2-sic)	(revision 1447)
+++ ChangeLog	(.../0.8.3-sic)	(revision 1447)
@@ -1,3 +1,9 @@
+v0.8.3 -- 14 Sep 2006
+---------------------
+- ClientBase: added whitespace ping()
+- VCard: fixed typo (vcard --> vCard)
+
+
 v0.8.2 -- 11 Sep 2006
 ---------------------
 - find dn_skipname on Mac OS X (thanks to Geoff Schmidt)
Index: configure.ac
===================================================================
--- configure.ac	(.../0.8.2-sic)	(revision 1447)
+++ configure.ac	(.../0.8.3-sic)	(revision 1447)
@@ -4,7 +4,7 @@
 AC_INIT
 AC_CONFIG_SRCDIR([configure.ac])
 dnl Every other copy of the package version number gets its value from here
-AM_INIT_AUTOMAKE(gloox,0.8.2-sic)
+AM_INIT_AUTOMAKE(gloox,0.8.3-sic)
 
 dnl create a config.h file (Automake will add -DHAVE_CONFIG_H)
 AM_CONFIG_HEADER(config.h)
